libmodplug ‘load_abc.cpp’远程栈缓冲区溢出漏洞

漏洞起因
边界条件错误
危险等级

 
影响系统
libmodplug libmodplug 0.8.8 2
 libmodplug libmodplug 0.8.8 1
 libmodplug libmodplug 0.8.7
 libmodplug libmodplug 0.8.6
 libmodplug libmodplug 0.8.4
 libmodplug libmodplug 0.8
 
 
不受影响系统
 
危害
远程攻击者可以利用漏洞以应用程序上下文执行任意代码。
 
攻击所需条件
攻击者必须构建恶意文件,诱使用户解析。
 
漏洞信息
Libmodplug是用于播放mod类音乐格式的开源函数库。
Libmodplug ‘load_abc.cpp’存在多个缓冲区溢出,攻击者可以构建恶意.abc文件,诱使使用libmodplug库的应用程序解析,可导致以应用程序上下文执行任意代码。
 
测试方法
http://downloads.securityfocus.com/vulnerabilities/exploits/47624.c
 
厂商解决方案
目前没有详细解决方案提供:
http://modplug-xmms.sourceforge.net/
 
漏洞提供者
epiphant
  
 
漏洞消息链接
http://www.securityfocus.com/bid/47624

发表评论?

0 条评论。

发表评论